package com.ekexiu.console.system.dao;

import com.ekexiu.console.system.po.OrgResStaff;
import org.jfw.apt.orm.annotation.dao.Batch;
import org.jfw.apt.orm.annotation.dao.DAO;
import org.jfw.apt.orm.annotation.dao.method.From;
import org.jfw.apt.orm.annotation.dao.method.operator.DeleteWith;
import org.jfw.apt.orm.annotation.dao.method.operator.Insert;
import org.jfw.apt.orm.annotation.dao.method.operator.SelectList;

import java.sql.Connection;
import java.sql.SQLException;
import java.util.List;

/**
 * Created by TT on 2017/9/5.
 */
@DAO
public interface OrgResStaffDao {

    @DeleteWith
    @From(OrgResStaff.class)
    int deletePro(Connection con, String professorId) throws SQLException;

    @Insert
    int insert(Connection con, OrgResStaff orgResStaff) throws SQLException;

    @SelectList
    List<OrgResStaff> query(Connection con, String resourceId) throws SQLException;

    @DeleteWith
    @Batch
    @From(OrgResStaff.class)
    int[] delete(Connection con,@Batch String[] resourceId) throws SQLException;
}

