package com.ekexiu.console.system.service;

import org.jfw.apt.web.annotation.Path;
import org.jfw.apt.web.annotation.operate.Get;
import org.jfw.apt.web.annotation.param.JdbcConn;
import org.jfw.util.jdbc.JdbcUtil;

import java.sql.Connection;
import java.sql.SQLException;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;

/**
 * Created by TT on 2018/5/25.
 */
@Path("/platform")
public class PlatformService {

    @Get
    @Path("/name")
    public List<TestService.TypeaheadItem>  get(@JdbcConn Connection con)throws SQLException {
        List<TestService.TypeaheadItem> ret = new ArrayList<>();
        //final String finalKey = key;
        List<Map<String,Object>> typeahead = JdbcUtil.queryMaps(con, "SELECT NAME,ID FROM PLATFORM_INFO");
        for (Map<String,Object> s1 : typeahead) {
            TestService.TypeaheadItem thi = new TestService.TypeaheadItem();
            thi.setCode((String) s1.get("id"));
            thi.setCaption((String) s1.get("name"));
            ret.add(thi);
        }
        return ret;
    }
}
