package com.ekexiu.console.system.pojo;

import com.ekexiu.console.system.po.Product;
import org.jfw.apt.orm.annotation.entry.CalcColumn;
import org.jfw.apt.orm.annotation.entry.ExtendView;
import org.jfw.apt.orm.core.defaultImpl.StringHandler;

/**
 * Created by TT on 2018/7/17.
 */
@ExtendView(fromSentence = "product pd LEFT JOIN professor p on p.id = pd.owner LEFT JOIN organization o on o.id = pd.owner ",tableAlias = "pd")
public class ProductInfo extends Product {
    private String professorName;
    private String orgName;

    @CalcColumn(handlerClass = StringHandler.class, column = "p.name")
    public String getProfessorName() {
        return professorName;
    }

    public void setProfessorName(String professorName) {
        this.professorName = professorName;
    }

    @CalcColumn(handlerClass = StringHandler.class, column = "o.name")
    public String getOrgName() {
        return orgName;
    }

    public void setOrgName(String orgName) {
        this.orgName = orgName;
    }
}